function onBegin()
  if not (getFlag("ending")) then
    disableMovement()
    say("ssc2024_xolimono_madeline")
    run(80)
    run(-4)
    say("ssc2024_xolimono_realending")
    setFlag("ending", true)
  end
end

function onEnd()
  setFlag("ending", true)
  enableMovement()
end